## liburjtag 0.0~git20221218.4e7e1f6

=== debian/changelog ===
liburjtag (0.0~git20221218.4e7e1f6-3) unstable; urgency=medium

  * remove symbol files temporarily (Closes: #1029552)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 Jan 2023 19:41:45 +0100

liburjtag (0.0~git20221218.4e7e1f6-2) unstable; urgency=medium

  * source upload
  * debian/control: add dependency to lib in dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2023 19:41:45 +0000

liburjtag (0.0~git20221218.4e7e1f6-1) unstable; urgency=medium

  * Initial Debian Upload
  * This package resulted from a fork of urjtag and is needed
    for libahp-xc. As soon as the differences are merged upstream
    and urjtag provides the same functionality (and library package)
    this package can disappear again

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Jan 2023 11:51:45 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-lowlevel \
		--with-libusb

## liburjtag 0.0~git20230703.491077f

=== debian/changelog ===
liburjtag (0.0~git20230703.491077f-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Nov 2023 23:56:32 +0000

## liburjtag 0.0~git20231222.310e99b

=== bindings/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# bindings/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# $Id$
#
# Copyright (C) 2002,2011 ETC s.r.o.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# Written by Steve Tell <tell@telltronics.org> 2011
#

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/urjtag
pkgincludedir = $(includedir)/urjtag
pkglibdir = $(libdir)/urjtag
pkglibexecdir = $(libexecdir)/urjtag
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = python
subdir = bindings
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/urjtag/urjtag.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = python
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/plato/dev/github/liburjtag/tools/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/plato/dev/github/liburjtag/tools/missing autoconf
AUTOHEADER = ${SHELL} /home/plato/dev/github/liburjtag/tools/missing autoheader
AUTOMAKE = ${SHELL} /home/plato/dev/github/liburjtag/tools/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include  -I/usr/include/libusb-1.0 -I/usr/include/libftdi1 -I/usr/include/libusb-1.0
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
FTD2XXLIB = 
GETTEXT_MACRO_VERSION = 0.19
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBFTDI_CFLAGS = -I/usr/include/libftdi1 -I/usr/include/libusb-1.0
LIBFTDI_CONFIG = 
LIBFTDI_LIBS = -lftdi1 -lusb-1.0
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lftd2xx  -lreadline
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB_LIBS = -lusb-1.0
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = 
MAKEINFO = ${SHELL} /home/plato/dev/github/liburjtag/tools/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = urjtag
PACKAGE_BUGREPORT = http://urjtag.org
PACKAGE_NAME = UrJTAG
PACKAGE_STRING = UrJTAG 2021.03
PACKAGE_TARNAME = urjtag
PACKAGE_URL = 
PACKAGE_VERSION = 2021.03
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.8
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SVN_REVISION = 95f9605
USE_NLS = yes
VERSION = 2021.03
WARNINGCFLAGS = -Wall -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
YACC = bison -y
YFLAGS = 
abs_builddir = /home/plato/dev/github/liburjtag/bindings
abs_srcdir = /home/plato/dev/github/liburjtag/bindings
abs_top_builddir = /home/plato/dev/github/liburjtag
abs_top_srcdir = /home/plato/dev/github/liburjtag
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/plato/dev/github/liburjtag/tools/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/urjtag
pkgpythondir = ${pythondir}/urjtag
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python3.8/site-packages
pythondir = ${prefix}/lib/python3.8/site-packages
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = $(am__append_1)
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \

=== debian/changelog ===
liburjtag (0.0~git20231222.310e99b-1) unstable; urgency=medium

  * New upstream release.
  * add implicit.patch (Closes: #1066302)
  * add debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Mar 2024 00:03:16 +0000

=== debian/control ===
Source: liburjtag
Section: misc
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
	, autopoint
	, libtool
	, flex
	, bison
	, pkg-config
	, libusb-dev
	, libusb-1.0-0-dev
	, libftdi-dev
	, python3-dev
Standards-Version: 4.6.2
Homepage: http://urjtag.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/liburjtag
Vcs-Git: https://salsa.debian.org/debian-astro-team/liburjtag.git

Package: liburjtag0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: JTAG programmer for various flash parts and boards - library
 A command line tool for communicating over JTAG (IEEE 1149.1) with various
 flash chips, CPUs, boards and JTAG adapters.  It has an open and modular
 architecture with the ability to write miscellaneous extensions (like board
 testers, or flash memory programmers).
 .
 This is a (more actively maintained) fork of the 'openwince-jtag' software.
 .
 This package resulted from a fork of urjtag and is needed for libahp-xc.
 As soon as the differences are merged upstream and urjtag provides the same
 functionality (and library package) this package can disappear again.

Package: liburjtag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
	, liburjtag0 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Description: JTAG programmer for various flash parts and boards - devel
 A command line tool for communicating over JTAG (IEEE 1149.1) with various
 flash chips, CPUs, boards and JTAG adapters.  It has an open and modular
 architecture with the ability to write miscellaneous extensions (like board
 testers, or flash memory programmers).
 .
 This is a (more actively maintained) fork of the 'openwince-jtag' software.
 .
 This package resulted from a fork of urjtag and is needed for libahp-xc.
 As soon as the differences are merged upstream and urjtag provides the same
 functionality (and library package) this package can disappear again.
 .
 This package contains the files for development.

## liburjtag 0.0~git20240324.1fe493a

=== debian/changelog ===
liburjtag (0.0~git20240324.1fe493a-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 May 2024 18:06:36 +0000

## liburjtag 2024.03.24

=== debian/changelog ===
liburjtag (2024.03.24-2) unstable; urgency=medium

  * debian/control: change dependencies (Closes: 1122873)
    Thanks a lot to Aurelien Jarno for detecting this
  * debian/rules: remove --disable-lowlevel
    Thanks a lot to Aurelien Jarno for detecting this
  * add debian/clean (Closes: #1046643)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Jan 2026 22:06:36 +0100

liburjtag (2024.03.24-1) unstable; urgency=medium

  * even the package numbering scheme was changed to squeeze in the
    old package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Mar 2025 19:06:36 +0100

liburjtag (0.0~git20240324.1fe493a-2) unstable; urgency=medium

  * trying to revert the package hijack from Andreas Tille
    The comment from the first upload is still valid,
    package urjtag is a much older version and not able to
    replace liburjtag again.
    Moreover development of urjtag stalled and the Hompage: is
    replaced by some advertisement site.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 04 Mar 2025 19:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
 	, flex
 	, bison
 	, pkg-config
-	, libusb-dev
 	, libusb-1.0-0-dev
-	, libftdi-dev
+	, libftdi1-dev
 	, python3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://urjtag.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/liburjtag

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	touch src/cmd/generated_cmd_list.h
	dh_auto_configure -- --with-libusb

#override_dh_auto_configure:
#	dh_auto_configure -- --disable-lowlevel \
#		--with-libusb
